Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class RevokeRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.etkra.protocol.v1.RevokeRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:35+02:00",
               comments="JAXB RI v2.2.6")
    public class RevokeRequest

extends RequestType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="SignedContract" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="certificateToRevoke" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="SignedCredentials" type="{urn:be:fgov:ehealth:etkra:protocol:v1}SignedCredentialsType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokeRequest()`

Method Summary
`byte[]` | `getCertificateToRevoke()` Gets the value of the certificateToRevoke property.
`byte[]` | `getSignedContract()` Gets the value of the signedContract property.
`SignedCredentialsType` | `getSignedCredentials()` Gets the value of the signedCredentials property.
`void` | `setCertificateToRevoke(byte[] value)` Sets the value of the certificateToRevoke property.
`void` | `setSignedContract(byte[] value)` Sets the value of the signedContract property.
`void` | `setSignedCredentials(SignedCredentialsType value)` Sets the value of the signedCredentials property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeRequest

    public RevokeRequest()

Method Detail

### getSignedContract

    public byte[] getSignedContract()

  Gets the value of the signedContract property.

  Returns:
    possible object is byte[]

### setSignedContract

    public void setSignedContract(byte[] value)

  Sets the value of the signedContract property.

  Parameters:
    `value` - allowed object is byte[]

### getCertificateToRevoke

    public byte[] getCertificateToRevoke()

  Gets the value of the certificateToRevoke property.

  Returns:
    possible object is byte[]

### setCertificateToRevoke

    public void setCertificateToRevoke(byte[] value)

  Sets the value of the certificateToRevoke property.

  Parameters:
    `value` - allowed object is byte[]

### getSignedCredentials

    public SignedCredentialsType getSignedCredentials()

  Gets the value of the signedCredentials property.

  Returns:
    possible object is `SignedCredentialsType`

### setSignedCredentials

    public void setSignedCredentials(SignedCredentialsType value)

  Sets the value of the signedCredentials property.

  Parameters:
    `value` - allowed object is `SignedCredentialsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.